import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';

export interface State {
  pending: boolean;
}
export const initialState: State = {
  pending: false,
};

export function getSelectors<S>(selector: Selector<any, State>) {
  return {
    selectPending: createSelector(selector, (state: State) => state.pending),
  };
}
